Groovy Documentation

## groovy.jmx.builder
[Groovy] Class JmxTimerFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxTimerFactory

    class JmxTimerFactory
    extends AbstractFactory

The JmxTimerFactory class generates a timer() node for JmxBuilder. This node crates a standard JMX Timer object that can be used to provide timing signals to registered JMX listeners.

Syntax

     timer(
         name:"object name"|ObjectName(),
         event:"...",
         message:"...",
         data:dataValue
         startDate:"now"|dateValue
         period:"99d"|"99h"|"99m"|"99s"|99
         occurences:long
     )

Authors:
  Vladimir Vivien

Method Summary
`boolean` | `isLeaf()`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeParam, java.util.Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map nodeAttribs)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parentNode, java.lang.Object thisNode)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeParam, java.util.Map nodeAttribs)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map nodeAttribs)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parentNode, java.lang.Object thisNode)

Groovy Documentation